libebook::LRFCollector Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libebook::LRFCollector Class Reference

`#include <LRFCollector.h>`

## Classes
struct | ImageData
struct | ImageStreamData

## Public Member Functions
| LRFCollector (librevenge::RVNGTextInterface *document)
| ~LRFCollector ()
void | startDocument ()
void | endDocument ()
void | openPage (unsigned pageAtrID, const LRFAttributes &attributes)
void | closePage ()
void | openBlock (unsigned atrID, const LRFAttributes &attributes)
void | closeBlock ()
void | openTextBlock (unsigned atrID, const LRFAttributes &attributes)
void | closeTextBlock ()
void | openParagraph (unsigned atrID, const LRFAttributes &attributes)
void | closeParagraph ()
void | collectText (const std::string &text, const LRFAttributes &attributes)
void | insertLineBreak ()
void | insertImage (unsigned id)
void | collectMetadata (const LRFMetadata &metadata)
void | collectBookAttributes (const LRFAttributes &attributes)
void | collectTextAttributes (unsigned id, const LRFAttributes &attributes)
void | collectBlockAttributes (unsigned id, const LRFAttributes &attributes)
void | collectPageAttributes (unsigned id, const LRFAttributes &attributes)
void | collectParagraphAttributes (unsigned id, const LRFAttributes &attributes)
void | collectImage (unsigned id, unsigned dataId, unsigned width, unsigned height)
void | collectImageData (unsigned id, LRFImageType type, librevenge::RVNGInputStream *image)
void | setDPI (double dpi)

## Private Types
typedef std::map< unsigned, ImageStreamData > | ImageDataMap_t
typedef std::map< unsigned, ImageData > | ImageMap_t

## Private Member Functions
| LRFCollector (const LRFCollector &other)
LRFCollector & | operator= (const LRFCollector &other)
void | collectAttributes (unsigned id, const LRFAttributes &attributes, LRFAttributeMap_t &attributeMap)
void | openBlock (unsigned atrID, const LRFAttributes &attributes, const LRFAttributeMap_t *attributeMap)

## Private Attributes
LRFAttributes | m_bookAttributes
LRFAttributeMap_t | m_textAttributeMap
LRFAttributeMap_t | m_blockAttributeMap
LRFAttributeMap_t | m_pageAttributeMap
LRFAttributeMap_t | m_paragraphAttributeMap
librevenge::RVNGTextInterface *const | m_document
std::stack< LRFAttributes > | m_currentAttributes
ImageDataMap_t | m_imageDataMap
ImageMap_t | m_imageMap
double | m_dpi
bool | m_firstParaInBlock

## Member Typedef Documentation

typedef std::map<unsigned, ImageStreamData> libebook::LRFCollector::ImageDataMap_t
| private

typedef std::map<unsigned, ImageData> libebook::LRFCollector::ImageMap_t
| private

## Constructor & Destructor Documentation

libebook::LRFCollector::LRFCollector | ( | const LRFCollector & | other | ) |
| private

libebook::LRFCollector::LRFCollector | ( | librevenge::RVNGTextInterface * | document | ) |
| explicit

libebook::LRFCollector::~LRFCollector | ( |  | ) |

## Member Function Documentation

void libebook::LRFCollector::closeBlock | ( |  | ) |

Referenced by closePage(), closeParagraph(), closeTextBlock(), collectText(), and libebook::LRFParser::readBlockObject().

void libebook::LRFCollector::closePage | ( |  | ) |

Referenced by libebook::LRFParser::readPageObject().

void libebook::LRFCollector::closeParagraph | ( |  | ) |

Referenced by libebook::LRFParser::readTextObject().

void libebook::LRFCollector::closeTextBlock | ( |  | ) |

Referenced by libebook::LRFParser::readTextObject().

void libebook::LRFCollector::collectAttributes | ( | unsigned | id,
|  | const LRFAttributes & | attributes,
|  | LRFAttributeMap_t & | attributeMap
| ) |  |
| private

Referenced by collectBlockAttributes(), collectPageAttributes(), collectParagraphAttributes(), and collectTextAttributes().

void libebook::LRFCollector::collectBlockAttributes | ( | unsigned | id,
|  | const LRFAttributes & | attributes
| ) |  |

Referenced by libebook::LRFParser::readBlockAtrObject().

void libebook::LRFCollector::collectBookAttributes | ( | const LRFAttributes & | attributes | ) |

Referenced by libebook::LRFParser::readBookAtrObject().

void libebook::LRFCollector::collectImage | ( | unsigned | id,
|  | unsigned | dataId,
|  | unsigned | width,
|  | unsigned | height
| ) |  |

Referenced by libebook::LRFParser::readImageObject().

void libebook::LRFCollector::collectImageData | ( | unsigned | id,
|  | LRFImageType | type,
|  | librevenge::RVNGInputStream * | image
| ) |  |

Referenced by libebook::LRFParser::readImageStreamObject().

void libebook::LRFCollector::collectMetadata | ( | const LRFMetadata & | metadata | ) |

Referenced by libebook::LRFParser::readMetadata().

void libebook::LRFCollector::collectPageAttributes | ( | unsigned | id,
|  | const LRFAttributes & | attributes
| ) |  |

Referenced by libebook::LRFParser::readPageAtrObject().

void libebook::LRFCollector::collectParagraphAttributes | ( | unsigned | id,
|  | const LRFAttributes & | attributes
| ) |  |

Referenced by libebook::LRFParser::readParagraphAtrObject().

void libebook::LRFCollector::collectText | ( | const std::string & | text,
|  | const LRFAttributes & | attributes
| ) |  |

Referenced by libebook::LRFParser::readTextObject().

void libebook::LRFCollector::collectTextAttributes | ( | unsigned | id,
|  | const LRFAttributes & | attributes
| ) |  |

Referenced by libebook::LRFParser::readTextAtrObject().

void libebook::LRFCollector::endDocument | ( |  | ) |

Referenced by libebook::LRFParser::parse().

void libebook::LRFCollector::insertImage | ( | unsigned | id | ) |

Referenced by libebook::LRFParser::readTextObject().

void libebook::LRFCollector::insertLineBreak | ( |  | ) |

Referenced by libebook::LRFParser::readTextObject().

void libebook::LRFCollector::openBlock | ( | unsigned | atrID,
|  | const LRFAttributes & | attributes
| ) |  |

Referenced by collectText(), openPage(), openParagraph(), openTextBlock(), and libebook::LRFParser::readBlockObject().

void libebook::LRFCollector::openBlock | ( | unsigned | atrID,
|  | const LRFAttributes & | attributes,
|  | const LRFAttributeMap_t * | attributeMap
| ) |  |
| private

void libebook::LRFCollector::openPage | ( | unsigned | pageAtrID,
|  | const LRFAttributes & | attributes
| ) |  |

Referenced by libebook::LRFParser::readPageObject().

void libebook::LRFCollector::openParagraph | ( | unsigned | atrID,
|  | const LRFAttributes & | attributes
| ) |  |

Referenced by libebook::LRFParser::readTextObject().

void libebook::LRFCollector::openTextBlock | ( | unsigned | atrID,
|  | const LRFAttributes & | attributes
| ) |  |

Referenced by libebook::LRFParser::readTextObject().

LRFCollector& libebook::LRFCollector::operator= | ( | const LRFCollector & | other | ) |
| private

void libebook::LRFCollector::setDPI | ( | double | dpi | ) |

void libebook::LRFCollector::startDocument | ( |  | ) |

Referenced by libebook::LRFParser::parse().

## Member Data Documentation

LRFAttributeMap_t libebook::LRFCollector::m_blockAttributeMap
| private

Referenced by collectBlockAttributes(), and openBlock().

LRFAttributes libebook::LRFCollector::m_bookAttributes
| private

Referenced by collectBookAttributes(), and startDocument().

std::stack<LRFAttributes> libebook::LRFCollector::m_currentAttributes
| private

Referenced by closeBlock(), collectText(), endDocument(), openBlock(), openPage(), openParagraph(), and startDocument().

librevenge::RVNGTextInterface* const libebook::LRFCollector::m_document
| private

Referenced by closePage(), closeParagraph(), collectMetadata(), collectText(), endDocument(), insertImage(), insertLineBreak(), openPage(), openParagraph(), and startDocument().

double libebook::LRFCollector::m_dpi
| private

Referenced by collectText(), insertImage(), openPage(), openParagraph(), and setDPI().

bool libebook::LRFCollector::m_firstParaInBlock
| private

Referenced by openParagraph(), and openTextBlock().

ImageDataMap_t libebook::LRFCollector::m_imageDataMap
| private

Referenced by collectImage(), collectImageData(), insertImage(), and ~LRFCollector().

ImageMap_t libebook::LRFCollector::m_imageMap
| private

Referenced by collectImage(), and insertImage().

LRFAttributeMap_t libebook::LRFCollector::m_pageAttributeMap
| private

Referenced by collectPageAttributes(), and openPage().

LRFAttributeMap_t libebook::LRFCollector::m_paragraphAttributeMap
| private

Referenced by collectParagraphAttributes(), and openParagraph().

LRFAttributeMap_t libebook::LRFCollector::m_textAttributeMap
| private

Referenced by collectTextAttributes(), and openTextBlock().

The documentation for this class was generated from the following files:

- LRFCollector.h
- LRFCollector.cpp